List
Lists owner-scoped invoices with search, filtering, sorting, and pagination. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (InvoiceListRes)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
search
Search invoice names and descriptions.
sort_by
Field to sort by.
Allowed values:
sort_order
Sort order.
Allowed values:
page
page_size
filter_statuses
Filter by one or more invoice statuses.
Allowed values:
filter_invoice_types
Filter by one or more invoice types.
Allowed values:
filter_currency_codes
Filter by one or more currency codes.
filter_counterparty_org_id
Filter by an on-CHRT counterparty organization.
filter_counterparty_off_chrt_org_data_id
Filter by off-CHRT counterparty organization data.
filter_counterparty_account_id
Filter by an associated counterparty account.
filter_created_at_timestamp_gte
Filter by created_at_timestamp greater than or equal.
filter_created_at_timestamp_lte
Filter by created_at_timestamp less than or equal.
filter_last_edited_at_timestamp_gte
Filter by last_edited_at_timestamp greater than or equal.
filter_last_edited_at_timestamp_lte
Filter by last_edited_at_timestamp less than or equal.
Response
Successful Response
items
total_count
Errors
422
Invoices List V1request Unprocessable Entity Error

